from ctypes import *

lib = CDLL("./_DTW.so")
DTW = lib.DTW
DTW.restype = c_float

class m_patern(Structure):
    _fields_ = [("matrix", POINTER(c_float)),
                ("matrix_len", c_uint)]
                
def make_m_patern(float_list):
    t_float = tuple(float_list)
    p1 = m_patern()
    p1.matrix = (c_float * len(t_float))(*t_float)
    p1.matrix_len = len(t_float)
    return p1

p1 = make_m_patern([0.1, 0.2, 0.3, 0.5, 0.7])

print DTW(p1, p1)           

